events.listen('jei.information', function (event) {
    event.add('minecraft:soul_campfire', ['Mobs will not spawn around Signalling Soul Campfire in 24 blocks distance.', 'Put a Hay Bale under it to make it a Signalling Campfire.'])
    event.add('astralsorcery:stardust', ['Drop a Starmetal Ingot on the ground and LEFT click with a Starmetal Cutting Tool to make.'])
    event.add('mekanism:cardboard_box', ['Replaced by Packing Tape.'])
    event.add('immersiveengineering:furnace_heater', ['Replaced by Induction Heater.'])

    //ore-gen
    event.add('minecraft:iron_ore',                     ['Found in overworld.', 'Y level 32-63 and 64-128'])
    event.add('minecraft:gold_ore',                     ['Found in overworld.', 'Y level 9-21'])
    event.add('minecraft:redstone_ore',                 ['Found in overworld.', 'Y level 6-18'])
    event.add('minecraft:coal_ore',                     ['Found in overworld.', 'Y level 1-128'])
    event.add('minecraft:diamond_ore',                  ['Found in overworld.', 'Y level 1-16'])
    event.add('minecraft:lapis_ore',                    ['Found in overworld.', 'Y level 1-27'])
    event.add('mana-and-artifice:vinteum_ore',          ['Found in overworld.', 'Y level 22-36'])
    event.add('thermal:apatite_ore',                    ['Found in overworld.', 'Y level 48-128'])
    event.add('thermal:cinnabar_ore',                   ['Found in overworld.', 'Y level 40-64'])
    event.add('thermal:niter_ore',                      ['Found in overworld.', 'Y level 48-96'])
    event.add('thermal:sulfur_ore',                     ['Found in overworld.', 'Y level 1-11'])
    event.add('thermal:copper_ore',                     ['Found in overworld.', 'Y level 50-63 and 64-128'])
    event.add('thermal:tin_ore',                        ['Found in overworld.', 'Y level 30-44 and 64-128'])
    event.add('thermal:lead_ore',                       ['Found in overworld.', 'Y level 22-34'])
    event.add('thermal:silver_ore',                     ['Found in overworld.', 'Y level 22-34'])
    event.add('thermal:nickel_ore',                     ['Found in overworld.', 'Y level 6-21'])
    event.add('mekanism:osmium_ore',                    ['Found in overworld.', 'Y level 16-36'])
    event.add('create:zinc_ore',                        ['Found in overworld.', 'Y level 22-38'])
    event.add('appliedenergistics2:quartz_ore',         ['Found in overworld.', 'Y level 36-54'])
    event.add('appliedenergistics2:charged_quartz_ore', ['Found in overworld.', 'Y level 40-50'])
    event.add('immersiveengineering:ore_aluminum',      ['Found in overworld.', 'Y level 48-72'])
    event.add('mekanism:uranium_ore',                   ['Found in overworld.', 'Y level 6-18'])
    event.add('mekanism:fluorite_ore',                  ['Found in overworld.', 'Y level 12-28'])
    event.add('rftoolsbase:dimensionalshard_overworld', ['Found in overworld.', 'Y level 1-32'])
    event.add('thermal:oil_sand',                       ['Found in overworld.', 'Y level 40-80'])
    event.add('thermal:oil_red_sand',                   ['Found in overworld.', 'Y level 40-80'])
  })